> For the complete documentation index, see [llms.txt](https://docs.pritunl.com/kb/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pritunl.com/kb/vpn/system/downgrading.md).

# Downgrading

Downgrading the Pritunl package

If it is necessary to downgrade the Pritunl package run the commands below to download the package and reset the database version. Previous package releases can be found in the [**GitHub Releases**](https://github.com/pritunl/pritunl/releases). Insure the correct package is downloaded for the Linux distribution. After downloaded the package install it using the commands specific to the package manager used. Next the database version must be reset to the previous version before the Pritunl server will be able to run. The database version is used to prevent an older version of Pritunl from running on a newer database that may have a different layout. It is best to check if any incompatible database upgrades have occurred by looking at the change log in the releases. If unsure contact support before upgrading. Once done restart the Pritunl service. For Pritunl clusters all package versions must be the same.

```shell
wget https://github.com/pritunl/pritunl/releases/download/1.XX.XXXX.XX/pritunl_1.XX.XXXX.XX-0ubuntu1.trusty_all.deb
dpkg -i pritunl_1.XX.XXXX.XX-0ubuntu1.trusty_all.deb
service pritunl restart
```

```shell
wget https://github.com/pritunl/pritunl/releases/download/1.XX.XXXX.XX/pritunl-1.XX.XXXX.XX-1.el7.centos.x86_64.rpm
yum install pritunl-1.XX.XXXX.XX-1.el7.centos.x86_64.rpm
systemctl restart mongod pritunl
service mongod restart
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pritunl.com/kb/vpn/system/downgrading.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
